%global modname nomnom

%if ! ( 0%{?fedora} || 0%{?rhel} >= 7 )
%{?nodejs_find_provides_and_requires}
%global nodejs_arches %{ix86} x86_64 %{arm}
%endif

Name:           nodejs-%{modname}
Version:        1.8.1
Release:        %mkrel 5

Summary:        Nodejs option parser with generated usage and commands
License:        MIT
URL:            https://github.com/harthur/nomnom
Source0:        http://registry.npmjs.org/%{modname}/-/%{modname}-%{version}.tgz
BuildArch:      noarch

Group:          Development/Java

BuildRequires:  nodejs-packaging
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(underscore)
BuildRequires:  npm(chalk)

Patch1:         0001-relax-underscore-version-requirement.patch

# nodejs.req does not handle '1.6 - 1.8' correctly, need to file a bug about it...
# manually specify the dependency for now
%global __requires_exclude underscore
Requires:       npm(underscore) >= 1.6
Requires:       npm(underscore) < 1.9

%description
Nomnom is an option parser for Node. It noms your args and gives them back to 
you in a hash.

%prep
%setup -q -n package
%patch1 -p1
%nodejs_fixdep chalk "^1.1.1"

%build
# nothing to do

%check
%nodejs_symlink_deps --check
nodeunit test/*.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{modname}
cp -p package.json nomnom.js %{buildroot}%{nodejs_sitelib}/%{modname}/
%nodejs_symlink_deps

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{modname}



%changelog
* Wed Sep 28 2016 neoclust <neoclust> 1.8.1-5.mga6
+ Revision: 1057407
- imported package nodejs-nomnom

